package com.bcxin.identify.business.domain.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

/**
 * <b> 对象参数标准DTO </b>
 * @author ZXF
 * @create 2021/07/22 0022 16:54
 * @version
 * @注意事项 </b>
 */
@Data
public class ImRoammsgDTO {

    private String fromAccount;
    private String toAccount;
    private Integer pcNo;
    private String keyword;

    private Integer pageSize;// 每页条数

    private Integer pageNumber;// 第几页

    @JsonIgnore
    public Integer getPageSize() {
        return pageSize;
    }
    @JsonIgnore
    public Integer getPageNumber() {
        return pageNumber;
    }

    public ImRoammsgDTO(String fromAccount, String toAccount, Integer pcNo, String keyword, Integer pageSize, Integer pageNumber){
        this.fromAccount = fromAccount;
        this.toAccount = toAccount;
        this.pcNo = pcNo;
        this.keyword = keyword;
        this.pageSize = pageSize;
        this.pageNumber = pageNumber;
    }
}
